#include <bits/stdc++.h>

using namespace std;

int LCM(int a, int b, int c)
{
    for(int i=1;i<=a*b*c;i++)if(i%a==0 && i%b==0 && i%c==0)return i;
}

int main()
{
    int i,p,q,r,lcm,a,b,c;
    long long R,L,br=0;
    cin>>p>>q>>r;
    cin>>L>>R;
    lcm=LCM(p,q,r);
    if(lcm==lcm/p+lcm/q+lcm/r)cout<<R/lcm-L/lcm;
    if(lcm<lcm/p+lcm/q+lcm/r)
    {
        for(i=1;i<=lcm;i++)if(ceil((i*1.0)/p)+ceil((i*1.0)/q)+ceil((i*1.0)/r)<=i)br++;
        cout<<br;
    }
    if(lcm>lcm/p+lcm/q+lcm/r)
    {
        for(i=1;i<=lcm;i++)if(ceil((i*1.0)/p)+ceil((i*1.0)/q)+ceil((i*1.0)/r)>i && i>=L && i<=R)br++;
        if(R-lcm==1)cout<<R-L-br;
        else cout<<R-L+1-br;
    }
    return 0;
}